# Consumes user.nix, configuration.nix
{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    ./configuration.nix
    ./user.nix
  ];
  calliope = {
    hostname = "marcille";
    ipv4Address = "172.18.154.50";
    cec = "akristip";
    name = "Mira Lastname";
    # username = "mira";
    shell = pkgs.xonsh;
  };

  virtualisation.vmVariant = {
    virtualisation = {
      memorySize = 1024; # 16GiB
      cores = 2; # 40 cores
      # memorySize = 16384; # 16GiB
      # cores = 40; # 40 cores
      graphics = true;
    };
  };
}
